Resolido Docs
Knowledge

List knowledge sources

GET
/knowledge-sources

List knowledge sources (websites, texts, Q&A, files) with processing status.

Authorization

bearer knowledge:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: knowledge:read

Query Parameters

agentId?string

Only sources used by this agent.

Length1 <= length <= 64
status?string
Value in"pending""processing""ready""error"

Response Body

Success

application/json
  1. response
data*array<>
curl -X GET "https://example.com/knowledge-sources"
{  "data": [    {      "id": "string",      "name": "string",      "type": "text",      "status": "pending",      "processingStage": "string",      "error": "string",      "url": "string",      "siteName": "string",      "website": {        "profile": "string",        "selectedPageCount": 0,        "discoveredPageCount": 0,        "crawled": 0,        "crawlTotal": 0,        "lastCheckedAt": 0      },      "file": {        "name": "string",        "type": "string",        "size": 0      },      "chunkCount": 0,      "parentSourceId": "string",      "agentIds": [        "string"      ],      "createdAt": 0,      "updatedAt": 0    }  ]}